/* Header */
@media (max-width: 1322px) {
    .desktop-nav {
        display: none !important;
    }

    .mobile-nav {
        display: flex !important;
        justify-content: flex-end;
        gap: 15px;
        padding-right: 10px;
    }

    .hamburger-menu {
        position: absolute !important;
        left: 170px !important;
        margin-right: auto !important;
        top: 50% !important;
        transform: translateY(-50%) !important;
    }

    .mobile-search {
        position: absolute !important;
        right: 40% !important;
        top: 50% !important;
        transform: translateY(-50%) !important;
    }

    .mobile-user {
        position: absolute !important;
        right: 10% !important;
        top: 50% !important;
        transform: translateY(-50%) !important;
    }

    header {
        position: relative;
    }

}

@media (min-width: 1025px) {
    .carousel-item img {
        object-position: top center !important;
    }
}

/* Footer */
@media (max-width: 768px) {
    .footer-sections {
        display: block;
        font-size: 14px;
        padding-left: 15px;
        padding-right: 15px;
    }

    .about-section,
    .company-section {
        width: 100%;
        text-align: left;
        margin-bottom: 30px;
    }

    .title-primary-details-panel h1 {
        font-size: 2rem !important;
        margin-left: -3px;
        margin-top: 190px !important;
    }

    .title-primary-details-panel h1 a {
        font-size: 2rem !important;
    }

    .about-section .section-title,
    .company-section .section-title {
        text-align: center;
    }

    .about-text {
        text-align: center;
    }

    .about-section {
        margin-bottom: 30px;
        text-align: center;
    }

    .company-links {
        text-align: left;
    }

    .copyright-bar {
        text-align: center;
    }

    .main-content {
        flex-direction: column;
    }

    .video-thumbnail img {
        max-width: 100%;
    }

    .live-content {
        flex-direction: column;
    }
}

@media (max-width: 768px) {
    .slider-arrow {
        display: none !important;
    }

    .slider-wrapper {
        overflow: hidden;
        -webkit-overflow-scrolling: touch;
        scrollbar-width: none;
        /* Firefox */
        -ms-overflow-style: none;
        /* IE and Edge */
        scroll-behavior: smooth;
        padding-right: 0;
    }

    .slider-wrapper::-webkit-scrollbar {
        display: none;
        /* Chrome, Safari, Opera */
    }

    .slide {
        flex: 0 0 auto;
        width: 210px;
        scroll-snap-align: start;
    }

    .view-more {
        margin-right: 20px;
        width: 220px;
    }

    .episodes-slider-header h2 {
        font-size: 24px;
    }

    .episodes-slider-header p {
        font-size: 14px;
    }

    .episodes-slider-section {
        padding: 20px 0;
        overflow: hidden;
    }

    .slide:last-child,
    .view-more {
        scroll-snap-align: end;
    }

    #user-dropdown {
        right: -40px !important;
    }

    .mobile-nav {
        justify-content: space-between;
        padding-right: 0;
        gap: 0;
      }
    
    .hamburger-menu {
        position: static ;
        transform: none;
        margin-right: auto;
    }
    .mobile-search, 
    .mobile-user {
        position: static;
        transform: none;
        margin-right: -30px !important;
    }

    .carousel-item {
        height: 370px !important;
    }
    .caption-container {
        padding: 0 20px;
        top: 50% !important;
        transform: translateY(-50%);
        width: 100%;
    }
    .watch-now-btn {
        display: none !important;
    }
    .caption-title {
        font-size: 22px !important;
        margin-left: -80px !important;
        max-width: 100vw;
        padding: 0 15px;
    }
    .carousel-text {
        display: none !important;
    }
    .carousel-caption .text-left {
        text-align: center !important;
    }
    .inside-indicators {
        bottom: 10px !important;
    }
    .watch-now-btn {
        display: none !important;
    }
}

@media (min-width: 769px) and (max-width: 1024px) {
    .slider-arrow {
        opacity: 0.8 !important;
        top: 40% !important;
    }

    .slider-arrow.arrow-left {
        left: 20px !important;
    }

    .slider-arrow.arrow-right {
        right: 20px !important;
    }

    .slider-container {
        overflow-x: hidden !important;
        padding: 0 40px !important;
    }

    .slider {
        margin: 0 -15px;
    }

    #user-dropdown {
        right: 15px !important;
        width: 160px !important;
    }

    .carousel-item {
        height: 400px !important;
    }
    .carousel-text {
        display: none !important;
    }
    .inside-indicators {
        bottom: 15px !important;
    }
    .caption-title {
        font-size: 32px !important;
    }

    
}